---
name: Security Vulnerability
about: Report vulnerability in the project
---

<!-- Thank you for your contribution. Before you submit the issue:
1. Search open and closed issues for duplicates.
2. Read the contributing guidelines.
3. In case of vulnerabilities of CVSS Base Score *7.0* or above, send an email directly to kyma-security@googlegroups.com instead of using this issue tracker. You can also use email for vulnerabilities with lower severity if you prefer to keep your report confidential.
-->

**Description**

<!-- Provide a clear and concise description of the vulnerability.
Describe where it appears, when it occurred, and what it affects.  -->

<!-- Provide relevant technical details such as the browser name and version, or the operating system. -->

**Steps to exploit**

<!-- List the steps an attacker would follow to exploit the vulnerability. Attach any files, links, code samples, or screenshots that could help in reproducing the attack. -->

**Risk assessment**

<!-- Propose a CVSSv3.0 Base Score for the vulnerability.
Please use the CVSS calculator at https://www.first.org/cvss/calculator/3.0 and fill in the risk metrics for the CVSS Base Score. Then replace the placeholders in the following template: -->
[{CVSS Vector String}]({CVSS Calculator URL}) **{CVSS Base Score} ({CVSS Base Severity})**
<!--
For example:
[CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:L/A:N](https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:L/A:N) **7.1 (High)**

Placeholder details:
* {CVSS Vector String}: 
  Vector String representation of the CVSS metrics, as displayed by the CVSS calculator. 
  For example: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:L/A:N
* {CVSS Calculator URL}:
  A deeplink to the CVSS calculator with the metrics that you propose. 
  Automatically appears in your browser's URL bar after you filled in the metrics.
  Contains the {CVSS Vector String}.
  For example: https://www.first.org/cvss/calculator/3.0#CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:L/A:N
* {CVSS Base Score}:
  The numeric risk score determined by the CVSS calculator.
  Appears prominently in the upper right corner of the base score area. Ranges from 0 to 10.
  For example: 7.1
* {CVSS Base Severity}:
  A textual classification of the {CVSS Base Score}.
  Appears right underneath the {CVSS Base Score} in the calculator.
  Possible values are "None", "Low", "Medium", "High", and "Critical".
  For example: High
-->

<!-- Feel free to leave a brief note here that explains the chosen CVSS metrics.-->


**Proposed mitigation**

<!-- Optionally, add any suggestions on how you would like to see this vulnerability mitigated. -->
